Surface Reference Management(3)

NAME
Surface Reference Management - surface reference management functions of the low-level CUDA driver API (cuda.h)

  Functions

CUresult cuSurfRefGetArray (CUarray *phArray, CUsurfref hSurfRef)
Passes back the CUDA array bound to a surface reference.
CUresult cuSurfRefSetArray (CUsurfref hSurfRef, CUarray hArray, unsigned int Flags)
Sets the CUDA array for a surface reference.

Detailed Description

This section describes the surface reference management functions of the low-level CUDA driver application programming interface.

Function Documentation

  CUresult cuSurfRefGetArray (CUarray * phArray, CUsurfref hSurfRef)

Returns in *phArray the CUDA array bound to the surface reference hSurfRef, or returns CUDA_ERROR_INVALID_VALUE if the surface reference is not bound to any CUDA array.

Parameters:
    phArray - Surface reference handle
    hSurfRef - Surface reference handle

Returns:
    CUDA_SUCCESS, CUDA_ERROR_DEINITIALIZED, CUDA_ERROR_NOT_INITIALIZED, CUDA_ERROR_INVALID_CONTEXT, CUDA_ERROR_INVALID_VALUE

See also:
    cuModuleGetSurfRef, cuSurfRefSetArray

  CUresult cuSurfRefSetArray (CUsurfref hSurfRef, CUarray hArray, unsigned int Flags)

Sets the CUDA array hArray to be read and written by the surface reference hSurfRef. Any previous CUDA array state associated with the surface reference is superseded by this function. Flags must be set to 0. The CUDA_ARRAY3D_SURFACE_LDST flag must have been set for the CUDA array. Any CUDA array previously bound to hSurfRef is unbound.

Parameters:
    hSurfRef - Surface reference handle
    hArray - CUDA array handle
    Flags - set to 0

Returns:
    CUDA_SUCCESS, CUDA_ERROR_DEINITIALIZED, CUDA_ERROR_NOT_INITIALIZED, CUDA_ERROR_INVALID_CONTEXT, CUDA_ERROR_INVALID_VALUE

See also:
    cuModuleGetSurfRef, cuSurfRefGetArray

Author

Generated automatically by Doxygen from the source code.